# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [ (modulesPath + "/installer/scan/not-detected.nix") ];

  boot.initrd.availableKernelModules = [ "nvme" "xhci_pci" "ahci" "usbhid" "sd_mod" ];
  boot.initrd.kernelModules = [ "amdgpu" ];
  boot.kernelModules = [ "kvm-amd" ];

  # AMD microcode updates please
  hardware.cpu.amd.updateMicrocode = true;

  # amd graphics
  hardware.graphics.extraPackages = with pkgs; [ amdvlk rocmPackages.clr.icd ];

  # /boot efi partition to boot in UEFI mode
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/A361-6A10";
    fsType = "vfat";
    options = [ "fmask=0022" "dmask=0022" ];
    neededForBoot = true;
  };

  # encrypted system
  boot.initrd.luks.devices."crypt-system" = {
    device = "/dev/disk/by-uuid/a1d1ef39-74ea-4a6c-bc47-8ae90e002126";
    allowDiscards = true;
    bypassWorkqueues = true;
  };
}
